Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class ListSelectionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.swing.event.ListSelectionEvent

public class ListSelectionEvent
extends java.util.EventObject

An event that characterizes a change in the current selection. The change is limited to a row interval. ListSelectionListeners will generally query the source of the event for the new selected status of each potentially changed row.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  `ListSelectionModel`, Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ListSelectionEvent(java.lang.Object source, int firstIndex, int lastIndex, boolean isAdjusting)` Represents a change in selection status between firstIndex and lastIndex inclusive (firstIndex is less than or equal to lastIndex).

Method Summary
`int` | `getFirstIndex()` Returns the index of the first row whose selection may have changed.
`int` | `getLastIndex()` Returns the index of the last row whose selection may have changed.
`boolean` | `getValueIsAdjusting()` Returns true if this is one of multiple change events.
`java.lang.String` | `toString()` Returns a string that displays and identifies this object's properties.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListSelectionEvent

    public ListSelectionEvent(java.lang.Object source,
                              int firstIndex,
                              int lastIndex,
                              boolean isAdjusting)

  Represents a change in selection status between firstIndex and lastIndex inclusive (firstIndex is less than or equal to lastIndex). Atleast one of the rows within the range will have changed, a good ListSelectionModel implementation will keep the range as small as possible.
  Parameters:
    `firstIndex` - The first index that changed.
    `lastIndex` - The last index that changed, lastIndex >= firstIndex.
    `isAdjusting` - An indication that this is one of rapid a series of events

Method Detail

### getFirstIndex

    public int getFirstIndex()

  Returns the index of the first row whose selection may have changed.
  Returns:
    The first row whose selection value may have changed, where zero is the first row

### getLastIndex

    public int getLastIndex()

  Returns the index of the last row whose selection may have changed.
  Returns:
    The last row whose selection value may have changed, where zero is the first row

### getValueIsAdjusting

    public boolean getValueIsAdjusting()

  Returns true if this is one of multiple change events.
  Returns:
    true if this is one of a rapid series of events

### toString

    public java.lang.String toString()

  Returns a string that displays and identifies this object's properties.
  Returns:
    a String representation of this object
  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.